Package com.logicaldoc.core.communication

# Class HibernateSystemMessageDAO.SystemMessageMapper

java.lang.Object
com.logicaldoc.core.communication.HibernateSystemMessageDAO.SystemMessageMapper

All Implemented Interfaces:
  `org.springframework.jdbc.core.RowMapper<SystemMessage>`

Enclosing class:
  `HibernateSystemMessageDAO`

public class HibernateSystemMessageDAO.SystemMessageMapper extends Object implements org.springframework.jdbc.core.RowMapper<SystemMessage>

## Constructor Summary

Constructors
Constructor
Description
`SystemMessageMapper()`

## Method Summary

Modifier and Type
Method
Description
`SystemMessage`
`mapRow(ResultSet rs, int rowNum)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SystemMessageMapper

public SystemMessageMapper()

## Method Details

### mapRow

public SystemMessage mapRow(ResultSet rs, int rowNum) throws SQLException

Specified by:
  `mapRow` in interface `org.springframework.jdbc.core.RowMapper<SystemMessage>`
Throws:
  `SQLException`